Page MenuHomePhabricator

Localize Scribunto namespaces to Shan
Closed, ResolvedPublic

Description

Please localize the following

$namespaceNames['sat'] = [
        828 => 'Module',
        829 => 'Module_talk',
];

Event Timeline

Urbanecm triaged this task as Low priority.Oct 13 2018, 4:57 PM
Urbanecm created this task.
Restricted Application added a project: User-Urbanecm. · View Herald TranscriptOct 13 2018, 4:57 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Urbanecm updated the task description. (Show Details)Oct 13 2018, 4:57 PM
Saimawnkham added a subscriber: Saimawnkham.EditedOct 14 2018, 8:06 AM
$namespaceNames['sat'] = [
        828 => '​မေႃႇၵျူး',
        829 => 'ဢုပ်ႇၵုမ်_မေႃႇၵျူး',
];

Change 467136 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[mediawiki/extensions/Scribunto@master] Localize namespaces to Shan

https://gerrit.wikimedia.org/r/467136

Change 467136 merged by jenkins-bot:
[mediawiki/extensions/Scribunto@master] Localize namespaces to Shan

https://gerrit.wikimedia.org/r/467136

Urbanecm closed this task as Resolved.Oct 15 2018, 12:27 PM

I see there is an extra symbol in front of localized name. Is this normal?

I see there is an extra symbol in front of localized name. Is this normal?

What extra symbol are you referring to?

Ninjastrikers added a comment.EditedNov 19 2018, 7:36 AM

eg - https://shn.wikipedia.org/wiki/%E2%80%8B%E1%80%99%E1%80%B1%E1%82%83%E1%82%87%E1%81%B5%E1%80%BB%E1%80%B0%E1%80%B8:Asbox
At that page, the addressbar of browser shown as

https://shn.wikipedia.org/wiki/%E2%80%8Bမေႃႇၵျူး:Asbox

I think it should be shown as

https://shn.wikipedia.org/wiki/မေႃႇၵျူး:Asbox

And there is a small red dot symbol in front of localized module name.

URL can contain only ASCII characters. For that purpose, there is special process called URL-encoding (or percent-encoding) that encodes non-ASCII characters to ASCII characters. For example, a space is %20. Some browsers do not show the ugly encoded form, but if your browser does not, it is not a problem.

Regarding the dot, I have absolutely no idea what it does mean, but I copied the whole row to my clipboard and searched it on this page to ensure I copied the row correctly (from comment above, you might need to show old changes to see it) and it looks I did. Also the title of page you linked matches the correct localized namespace. Is there any specific issue with the page?

If I type "Module:Asbox" in searchbox and click go, it goes to https://shn.wikipedia.org/wiki/%E2%80%8Bမေႃႇၵျူး:Asbox as "မေႃႇၵျူး:Asbox".
If I type "မေႃႇၵျူး:Asbox" in searchbox and click go, it doesn't reach to https://shn.wikipedia.org/wiki/%E2%80%8Bမေႃႇၵျူး:Asbox and shown as page doesn't exist (reach to "Creating မေႃႇၵျူး:Asbox")

Please see below screenshot attachments.


Searching with localized namespace should be returned with same result, right? But it doesn't. Typing with localized namespace (eg. မေႃႇၵျူး:Asbox) goes to main namespace (as article page) not as Module namespace.

%E2%80%8B is a zero-width space. When they appear in situations like these, they usually have been accidentally copied from somewhere, or automatically inserted by some software. In this case, the character is incorrect and should be removed.